gena_device.h File Reference
`#include "sock.h"`
Include dependency graph for gena_device.h:

Go to the source code of this file.

## Functions

void | gena_process_subscription_request (SOCKINFO *info, http_message_t *request)
| Handles a subscription request from a ctrl point. The socket is not closed on return. More...
void | gena_process_subscription_renewal_request (SOCKINFO *info, http_message_t *request)
| Handles a subscription renewal request from a ctrl point. The connection is not destroyed on return. More...
void | gena_process_unsubscribe_request (SOCKINFO *info, http_message_t *request)
| Handles a subscription cancellation request from a ctrl point. The connection is not destroyed on return. More...

## Function Documentation

## gena_process_subscription_renewal_request()

void gena_process_subscription_renewal_request | ( | SOCKINFO * | info,
|  | http_message_t * | request
| ) |  |

Handles a subscription renewal request from a ctrl point. The connection is not destroyed on return.

Parameters

  [in] | info | Socket info of the device.
  [in] | request | Subscription renewal request from the control point.

References device_handle.

## gena_process_subscription_request()

void gena_process_subscription_request | ( | SOCKINFO * | info,
|  | http_message_t * | request
| ) |  |

Handles a subscription request from a ctrl point. The socket is not closed on return.

Parameters

  [in] | info | Socket info of the device.
  [in] | request | Subscription request from the control point.

References device_handle, and UpnpPrintf().

## gena_process_unsubscribe_request()

void gena_process_unsubscribe_request | ( | SOCKINFO * | info,
|  | http_message_t * | request
| ) |  |

Handles a subscription cancellation request from a ctrl point. The connection is not destroyed on return.

Parameters

  [in] | info | Socket info of the device.
  [in] | request | UNSUBSCRIBE request from the control point.

References device_handle.